<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="com.sipai.jspatrol.Patrol.PatrolPointDetailActivity">

    <com.sipai.ui.TitleLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="32dp"
        android:background="#5989F6"
        android:orientation="horizontal">
        <TextView
            android:id="@+id/moudle_patrol_point_detail_tv_point_name"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="15sp"/>
        <View
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"/>
        <LinearLayout
            android:id="@+id/moudle_patrol_point_detail_ll_sub_fault"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal">
            <ImageView
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:src="@mipmap/moudle_iv_bulb"
                android:paddingTop="4dp"
                android:paddingRight="7dp"
                android:paddingLeft="7dp"
                android:paddingBottom="7dp"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="15sp"
                android:text="上报异常"
                android:textColor="@color/white"
                android:maxLines="1"
                android:gravity="center"
                android:paddingRight="15dp"/>
        </LinearLayout>
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            android:layout_marginBottom="10dp"
            android:orientation="vertical">

            <TextView
                android:id="@+id/moudle_patrol_point_detail_tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingLeft="15dp"
                android:paddingTop="8dp"
                android:paddingRight="15dp"
                android:paddingBottom="8dp"
                android:layout_marginTop="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="10dp"
                android:textSize="15sp"
                android:textColor="@color/black"
                android:background="@drawable/bg_black_border"/>
            <LinearLayout
                android:id="@+id/moudle_patrolinfo_ll_auto_point"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/black"
                    android:paddingLeft="16dp"
                    android:text="自动测量点："
                    android:textSize="16sp" />
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="10dp"
                    android:layout_height="wrap_content"
                    android:descendantFocusability="blocksDescendants">
                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/moudle_patrolinfo_rc_auto_point"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </RelativeLayout>
            </LinearLayout>
        <LinearLayout
            android:id="@+id/moudle_patrolinfo_ll_do_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <TextView
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:gravity="center_vertical"
                android:layout_marginBottom="10dp"
                android:textColor="@color/black"
                android:paddingLeft="16dp"
                android:text="巡检内容："
                android:textSize="16sp" />
            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="8dp"
                android:elevation="2dp">
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:descendantFocusability="blocksDescendants">
                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/moudle_patrolinfo_rc_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </RelativeLayout>
            </androidx.cardview.widget.CardView>
        </LinearLayout>

            <LinearLayout
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/moudle_patrol_point_detail_tv_file"
                    android:layout_width="0dp"
                    android:layout_height="35dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:paddingLeft="5dp"
                    android:text="文档列表(点击刷新)"
                    android:textColor="@color/blue"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/moudle_patrol_point_detail_tv_file_count"
                    android:layout_width="70dp"
                    android:textSize="18sp"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:textColor="@color/little_blue" />
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/moudle_rl_file"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:descendantFocusability="blocksDescendants">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/moudle_patrol_point_detail_rc_file"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:layout_marginBottom="3dp"
                    android:visibility="gone" />
            </RelativeLayout>
        <LinearLayout
            android:id="@+id/moudle_patrolinfo_ll_edit_point"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <TextView
                android:id="@+id/moudle_patrol_point_detail_tv_edit_point"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:gravity="center_vertical"
                android:textColor="@color/black"
                android:paddingLeft="16dp"
                android:text="手动测量点列表"
                android:textSize="16sp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <!--<RelativeLayout-->
                <!--android:layout_width="match_parent"-->
                <!--android:layout_height="wrap_content"-->
                <!--android:descendantFocusability="blocksDescendants">-->
                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/moudle_patrol_point_detail_rc_edit_point"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </RelativeLayout>
        </LinearLayout>
        <LinearLayout
            android:id="@+id/moudle_patrolinfo_ll_equ"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <TextView
                android:id="@+id/moudle_patrol_point_detail_tv_equ"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:gravity="center_vertical"
                android:paddingLeft="16dp"
                android:text="设备列表"
                android:textColor="@color/black"
                android:textSize="16sp" />
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:descendantFocusability="blocksDescendants">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/moudle_patrol_point_detail_rc_equ"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:padding="5dp" />
            </RelativeLayout>
        </LinearLayout>
        </LinearLayout>
    </ScrollView>
    <Button
        android:id="@+id/moudle_patrol_point_detail_btn_sub_point"
        android:background="@drawable/bg_layout_shape_btn_blue"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginBottom="20dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginTop="8dp"
        android:text="提交"
        android:textColor="@color/white" />
</LinearLayout>
